AuxLatitude.hpp File Reference

Header for the GeographicLib::AuxLatitude class. More...

`#include <utility>`
`#include <GeographicLib/Math.hpp>`
`#include <GeographicLib/AuxAngle.hpp>`

Go to the source code of this file.

## Classes

class | GeographicLib::AuxLatitude
| Conversions between auxiliary latitudes. More...

## Namespaces

namespace | GeographicLib
| Namespace for GeographicLib.

## Macros

#define | GEOGRAPHICLIB_AUXLATITUDE_ORDER

## Detailed Description

Header for the GeographicLib::AuxLatitude class.

This file is an implementation of the methods described in

- C. F. F. Karney, On auxiliary latitudes, Survey Review (2023); preprint arXiv:2212.05818.

Copyright (c) Charles Karney (2022-2023) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Definition in file AuxLatitude.hpp.

## Macro Definition Documentation

## GEOGRAPHICLIB_AUXLATITUDE_ORDER

#define GEOGRAPHICLIB_AUXLATITUDE_ORDER

Value:
(GEOGRAPHICLIB_PRECISION == 2 || GEOGRAPHICLIB_PRECISION == 5 ? 6 : \
(GEOGRAPHICLIB_PRECISION == 1 ? 4 : 8))
GEOGRAPHICLIB_PRECISION
#define GEOGRAPHICLIB_PRECISION
Definition: Math.hpp:35

The order of the series approximation used in AuxLatitude. GEOGRAPHICLIB_AUXLATITUDE_ORDER can be set to one of [4, 6, 8]. Use order appropriate for double precision, 6, also for GEOGRAPHICLIB_PRECISION == 5 to enable truncation errors to be measured easily.

Definition at line 32 of file AuxLatitude.hpp.